Bug 730083 - e2fsprogs needs to build with partial relro support
Summary: e2fsprogs needs to build with partial relro support
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: e2fsprogs
Version: 6.1
Hardware: Unspecified
OS: Unspecified
urgent
low
Target Milestone: rc
: 6.2
Assignee: Eric Sandeen
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: RHEL62CCC 846801 846802
TreeView+ depends on / blocked
 
Reported: 2011-08-11 17:47 UTC by Steve Grubb
Modified: 2012-08-08 18:29 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-12-06 18:18:07 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1735 normal SHIPPED_LIVE e2fsprogs bug fix and enhancement update 2011-12-06 01:01:55 UTC

Description Steve Grubb 2011-08-11 17:47:10 UTC
Description of problem:
Description of problem:
The e2fsprogs package contains libraries (specifically libcomm_err). We would like them to be built with partial RELRO support as a security enhancement.

Additional info:
Partial RELRO requires these passed at link: -Wl,-z,relro 
You can fix this by patching the Makefiles to add this link flag to LDFLAGS or you might be able to simply add LDFLAGS="$LDFLAGS -Wl,-z,relro" to the configure line in the rpm's spec file. You will have to test the built packages to ensure the flags are properly passed all the way to the end of build. It does not hurt anything if the package contains applications that pick up partial relro support, too.

Comment 1 Ric Wheeler 2011-08-11 18:59:23 UTC
I don't understand why this is reported as an issue 4 days before it is due to be resolved?

We have a planning phase that closed a long time ago. That is when you need to make this kind of request please!

Comment 2 Eric Sandeen 2011-08-11 19:05:45 UTC
Aside from the poor timing, can I get a little background?

What are the implications of this?  Should the entire package build with
those flags?  What does this fix, and why is libcom_err so special in this
regard?

Comment 3 Eric Sandeen 2011-08-12 17:36:41 UTC
Built & tagged in e2fsprogs-1.41.12-10.el6 

[root@inode tmp]# ./rpm-chksec libcom_err e2fsprogs-libs libss e2fsprogs
FILE                                                    TYPE      RELRO    PIE 
/lib64/libcom_err.so.2.1                                library   partial  DSO 
/lib64/libe2p.so.2.3                                    library   partial  DSO 
/lib64/libext2fs.so.2.4                                 library   partial  DSO 
/lib64/libss.so.2.0                                     library   partial  DSO 
/sbin/badblocks                                         exec      partial  no  
/sbin/debugfs                                           exec      partial  no  
/sbin/dumpe2fs                                          exec      partial  no  
/sbin/e2fsck                                            exec      partial  no  
/sbin/e2image                                           exec      partial  no  
/sbin/e2label                                           exec      partial  no  
/sbin/e2undo                                            exec      partial  no  
/sbin/fsck.ext2                                         exec      partial  no  
/sbin/fsck.ext3                                         exec      partial  no  
/sbin/fsck.ext4                                         exec      partial  no  
/sbin/fsck.ext4dev                                      exec      partial  no  
/sbin/logsave                                           exec      partial  no  
/sbin/mke2fs                                            exec      partial  no  
/sbin/mkfs.ext2                                         exec      partial  no  
/sbin/mkfs.ext3                                         exec      partial  no  
/sbin/mkfs.ext4                                         exec      partial  no  
/sbin/mkfs.ext4dev                                      exec      partial  no  
/sbin/resize2fs                                         exec      partial  no  
/sbin/tune2fs                                           exec      partial  no  
/usr/bin/chattr                                         exec      partial  no  
/usr/bin/lsattr                                         exec      partial  no  
/usr/sbin/e2freefrag                                    exec      partial  no  
/usr/sbin/filefrag                                      exec      partial  no  
/usr/sbin/mklost+found                                  exec      partial  no

Comment 6 errata-xmlrpc 2011-12-06 18:18:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1735.html


Note You need to log in before you can comment on or make changes to this bug.